﻿namespace HeuristicLab.Problems.ProgramSynthesis.Push.Erc.Interfaces {
  using HeuristicLab.Data;

  public interface IReadOnlyStringErcOptions : IReadOnlyErcOptionConstants<string>  {
    bool AllowLowercaseLetters { get; }
    bool AllowUppercaseLetters { get; }
    bool AllowSpace { get; }
    double SpaceProbability { get; }
    int StringLength { get; }
  }
}
